﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 98: (1 yr) VER RS-232 /5520A+SC600
DATE:                  2018-11-04 00:32:42
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22140 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       11
NUMBER OF LINES:       299
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Service Manual: Fluke Automotive ScopeMeter 98, chapter 4
#        P/N: 4822 872 05364 @010695
#
#  Compatibilty:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                                     V

  1.002  IF           NOT(VERSIONCHECK("8.2"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning
  1.007  CALL         Sub Select Failed Test Mode

  1.008  HEAD         PRELIMINARY INSTRUCTIONS
  1.009  DISP         [32]           IMPORTANT! PLEASE NOTE!!
  1.009  DISP
  1.009  DISP         Throughout this procedure, the UUT MUST be powered
  1.009  DISP         by the BC190 battery charger (the battery pack must
  1.009  DISP         be installed).
  1.010  DISP         Power up the Fluke ScopeMeter® Test Tool,
  1.010  DISP         ensuring a minimum warm-up time of 30 minutes has
  1.010  DISP         been allowed to elapse, prior to proceeding.

  1.011  CALL         Sub Fluke ScopeMeter Connection RS-232 /5520

# Setup RS232-communication
  1.012  PORT         [P1200,N,8,1,X][OTERM CR]

  1.013  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.014  MATH         Model = "98"

  1.015  IF           NOT(ZCMP(@ModelNum, Model))
  1.016  DISP         UUT is [V @ModelNum] not a Fluke [V Model]!
  1.017  END
  1.018  ENDIF

# Enable the SERVICE-mode of the ScopeMeter test tool
  1.019  MATH         @Cmd = "EX110,0"
  1.020  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.021  WAIT         [D1000]
  1.022  MATH         @Cmd = "FLUKPHIL"
  1.023  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.024  CALL         Sub Fluke 98 ScopeMeter Display Tests RS-232

  1.025  MATH         @Cmd = "EX110,4"
  1.026  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.027  CALL         Sub Fluke 98 ScopeMeter (1 yr) VER RS-232 /5520

  1.028  RSLT         =
  1.029  HEAD         {Cal S10/S11: FREQUENCY RESPONSE CHANNEL A}
  1.030  MATH         Mode = "Vpp LS S6 FLAT"
  1.031  MATH         L[2] = ACCV2("Fluke 5520A", Mode, 0.1, 5E+6)
  1.032  MATH         @Cmd = "QM 1 V"; @Wait = 3
  1.033  TARGET       -p

  1.034  DO
  1.035  PIC          52sc_98al
# 98_s10
  1.036  PORT         [OTERM NONE]
  1.037  PORT         PS1,80E9001C088900000111110020CFBE37087F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C808080808018028001494244050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  1.037  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000401FF602401FF901[13]
  1.038  PORT         [OTERM CR]
  1.039  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.040  5520         0.1Vpp                       50kH           LS S6 S  L
  1.041  CALL         Sub Fluke ScopeMeter Query Measurement RS-232

# Check the connection
  1.042  IF           MEM <= 0.05
  1.043  DISP         Check the connection. The detected signal is low.
  1.044  ENDIF

  1.045  UNTIL        MEM > 0.05

  1.046  TARGET       -m
# 98_s10
  1.047  PORT         [OTERM NONE]
  1.048  PORT         PS1,80E9001C088900000111110020CFBE37087F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C808080808018028001494244050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  1.048  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000401FF602401FF901[13]
  1.049  PORT         [OTERM CR]
  1.050  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.051  5520         0.1Vpp                       50kH           LS S6 S  L
  1.052  MATH         L[1] = MEM * 0.7
# 98_s11
  1.053  PORT         [OTERM NONE]
  1.054  PORT         PS1,8034001C088900000111110020CFBE37087F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C808080808014028001494244050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  1.054  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000A00FF502401FF901[13]
  1.055  PORT         [OTERM CR]
  1.056  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  1.057  5520         0.1Vpp                       5MH            LS S6 S  L
  1.058  MATH         MEM = L[1]
  1.059  ACC          V              L2U
  1.060  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
# PASS: rms(50MHz) >= 0.7 * rms(100kHz), FAIL: rms(50MHz) < 0.7 * rms(100kHz)
  1.061  MEMCX        V              +100%         5MH

  2.001  RSLT         =
  2.002  HEAD         Cal S17: TRIGGER SENSITIVITY CHANNEL A
  2.003  TARGET
# 98_s17
  2.004  PORT         [OTERM NONE]
  2.005  PORT         PS1,80DA001C088900000111110020CFBE37247F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C808080808014028001494255050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  2.005  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000A00FF502D007FA01[13]
  2.006  PORT         [OTERM CR]
  2.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  2.008  5520         0.05Vpp                      1MH            LS S6 S  L
  2.009  MESS         The frequency of the signal is 1MHz
  2.009  MESS
  2.009  MESS         The signal on the display should be stable
  2.009  MESS         and well triggered.
  2.009  MESS
  2.010  RSLT         =Signal frequency: 1MHz.
  2.011  MEM2         =Cal S17: TRIGGER SENSITIVITY CHANNEL A
  2.012  EVAL   -s MEM2 : Is the 1 MHz signal well triggered?
  3.001  MESS

  3.002  5520         *                                                 S

  3.003  RSLT         =
  3.004  HEAD         {Cal S18: TIMEBASE}
  3.005  ASK-           K
  3.006  TARGET       -p
# 98_s18
  3.007  PORT         [OTERM NONE]
  3.008  PORT         PS1,8093001C088900000111110020CFBE37247F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C808080808014028F01494277050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  3.008  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000A00FF502401FFA01[13]
  3.009  PORT         [OTERM CR]
  3.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  3.011  5520         1uT                                         M1 S6 S  L
# PIC picture of S18 measurement (time marker pulses)
  3.012  PIC          9x_time
  3.013  TARGET       -m
  3.014  MESS         Adjust the repetition time so that the distances
  3.014  MESS         are the same.
  3.014  MESS
  3.015  5520         1.000uT        0.08U                        M1 S6    L

  4.001  MESS
  4.002  ASK+           K

  4.003  RSLT         =
  4.004  HEAD         {Cal M5: AUXILIARY SCOPE DISPLAY AND FREQUENCY}
  4.005  TARGET       -p
# 98_s5
  4.006  MATH         @Cmd = "EX111,5"
  4.007  CALL         Sub Fluke ScopeMeter Send Command RS-232
  4.008  MATH         @Cmd = "QM 1 V"; @Wait = 2
# Verification of frequency read-out
  4.009  5520         1000H                        2Vpp           ZQ S6 S  L
  4.010  TARGET       -m
  4.011  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  4.012  MEMCX        1000H          0.5% 2U

  5.001  5520         1000H                        2Vpp           ZQ S6 S  L
  5.002  MESS         The signal on the auxiliary scope-display must be
  5.002  MESS         stable value and well triggered.
  5.002  MESS
  5.003  MEM2         =Signal stable and well triggered
  5.004  EVAL   -s MEM2 : Is the signal stable and well triggered?
  6.001  MESS

  6.002  5520         *                                                 S

  6.003  RSLT         =
  6.004  HEAD         {Cal S12/S13: FREQUENCY RESPONSE CHANNEL B}
  6.005  MATH         Mode = "Vpp LS S6 FLAT"
  6.006  MATH         L[2] = ACCV2("Fluke 5520A", Mode, 0.1, 5E+6)
  6.007  MATH         @Cmd = "QM 1 V"; @Wait = 3
  6.008  TARGET       -p
  6.009  PIC          52sc_98bl
  6.010  TARGET       -m
# 98_s12
  6.011  PORT         [OTERM NONE]
  6.012  PORT         PS1,80EC001C088900000111110020CFBE37087F54000FAA01020D08090100000323082600000000000001000002000200000000660000007C8080808080180280024A4244050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  6.012  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000401FF602401FF901[13]
  6.013  PORT         [OTERM CR]
  6.014  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.015  5520         0.1Vpp                       50kH           LS S6 S  L
  6.016  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
  6.017  MATH         L[1] = MEM * 0.7
# 98_s13
  6.018  PORT         [OTERM NONE]
  6.019  PORT         PS1,8037001C088900000111110020CFBE37087F54000FAA01020D08090100000323082600000000000001000002000200000000660000007C8080808080140280024A4244050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  6.019  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000A00FF502401FF901[13]
  6.020  PORT         [OTERM CR]
  6.021  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  6.022  5520         0.1Vpp                       5MH            LS S6 S  L
  6.023  MATH         MEM = L[1]
  6.024  ACC          V              L2U
  6.025  CALL         Sub Fluke ScopeMeter Query Measurement RS-232
# PASS: rms(50MHz) >= 0.7 * rms(100kHz), FAIL: rms(50MHz) < 0.7 * rms(100kHz)
  6.026  MEMCX        V              +100%         5MH

  7.001  RSLT         =
  7.002  HEAD         Cal S14: TRIGGER SENSITIVITY CHANNEL B
  7.003  TARGET
# 98_s14
  7.004  PORT         [OTERM NONE]
  7.005  PORT         PS1,80DD001C088900000111110020CFBE37247F54000FAA01020D08090100000323082600000000000001000002000200000000660000007C8080808080140280024A4255050000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  7.005  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C02080080100000000600000000A00FF502D007FA01[13]
  7.006  PORT         [OTERM CR]
  7.007  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  7.008  5520         0.05Vpp                      1MH            LS S6 S  L
  7.009  MESS         The frequency of the signal is 1MHz
  7.009  MESS
  7.009  MESS         The signal on the display should be stable
  7.009  MESS         and well triggered.
  7.009  MESS
  7.010  RSLT         =Signal frequency: 1MHz.
  7.011  MEM2         =Cal S14: TRIGGER SENSITIVITY CHANNEL B
  7.012  EVAL   -s MEM2 : Is the 1 MHz signal well triggered?
  8.001  MESS

  8.002  5520         *                                                 S

  8.003  RSLT         =
  8.004  HEAD         Cal S19: TRIGGER SENSITIVITY EXTERNAL CHANNEL
  8.005  TARGET
  8.006  PIC          52sc_98at
# 98_s19
  8.007  PORT         [OTERM NONE]
  8.008  PORT         PS1,8010001C088900000111110020CFBE37247F54000FAA01020D08090100000323082600000000000001000002000200000000650000007C80808080801C028001434288000000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  8.008  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010401FFB8600000000D007F802D007FB01[13]
  8.009  PORT         [OTERM CR]
  8.010  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  8.011  M5520                                     1.4Voff
  8.012  5520         1.8Vpp                       1kH            SI S6 S
  8.013  MESS         The frequency of the signal is 1 kHz
  8.013  MESS         and the period is 1 us = 2 div.
  8.013  MESS
  8.013  MESS         The signal on the display should be stable value.
  8.013  MESS
  8.014  MEM2         =Cal S19: TRIGGER SENSITIVITY EXTERNAL CHANNEL
  8.015  EVAL   -s MEM2 : Is the signal well triggered?
  9.001  MESS

  9.002  M5520        *
  9.003  5520         *                                                 S

  9.004  RSLT         =
  9.005  HEAD         {Cal S8/9: LF SQUARE WAVE RESPONSE}
  9.006  TARGET       -p
  9.007  PIC          52sc_98ab
# 98_s8
  9.008  PORT         [OTERM NONE]
  9.009  PORT         PS1,802D001C088900000111110020CFBE37247F54000FAA01020D0809010000032308260000FFFF000001000002000200000000660000007C80808080801B0299024A4299000000020004180000000000000000000000001080001F001020508002E80305180000000000000000
  9.009  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010E803FD8600000000401FF702A00FFB01[13]
  9.010  PORT         [OTERM CR]
  9.011  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
  9.012  5520         1kH                          6Vpp           SQ S6 S
  9.013  EVAL   -s "Ch B" : Is the pulse top displayed via Ch.B straight?

# 98_s9
 10.001  PORT         [OTERM NONE]
 10.002  PORT         PS1,802A001C088900000111110020CFBE37247F54000FAA01020D0809010000032308260000FFFF000001000002000200000000650000007C80808080801B029901494299000000020004180000000000000000000000001080001F001020508002E80305180000000000000000
 10.002  PORT         000000001080001F022010508002E80306180000000000000000000000001480001F001020508002E80307180000000000000000000000001C80001F001020508002E8030C0208008010E803FD8600000000401FF702A00FFB01[13]
 10.003  PORT         [OTERM CR]
 10.004  CALL         Sub Fluke ScopeMeter Check Acknowledge RS-232
 10.005  5520         1kH                          6Vpp           SQ S6 S
 10.006  EVAL   -s "Ch A" : Is the pulse top displayed via Ch.A straight?

 11.001  MATH         @Cmd = "EX111,0"
 11.002  CALL         Sub Fluke ScopeMeter Send Command RS-232
 11.003  END
